import request from '@/router/axios';

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-business/baseinfo/org/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}


export const remove = (ids) => {
    return request({
        url: '/api/galaxy-business/baseinfo/org/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-business/baseinfo/org/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-business/baseinfo/org/update',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-business/baseinfo/org/detail',
        method: 'get',
        params: {
            id
        }
    })
}


